﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace MapSuite_Desktop_for_WinForms_App2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Proj4Projection proj4 = new Proj4Projection();
            proj4.InternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString();
            //proj4.ExternalProjectionParametersString = "+proj=stere +lat0=90 +lon_0=60 +x_0=0 +y_0=0 +ellps=WGS84 +datum=WGS84 +units=m no_defs";
            proj4.ExternalProjectionParametersString = Proj4Projection.GetEsriParametersString(102018);
            proj4.Open();

            winformsMap1.MapUnit = GeographyUnit.Meter;
            winformsMap1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);

            //GraticuleFeatureLayer layer = new GraticuleFeatureLayer();
            //layer.Projection = proj4;
            //LayerOverlay overlay = new LayerOverlay();
            //overlay.Layers.Add(layer);
            //winformsMap1.Overlays.Add(overlay);

            LineStyle customDashLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.FromArgb(255, 255, 0, 0), 1, LineDashStyle.Custom, true);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);

            ShapeFileFeatureLayer shplatlon10 = new ShapeFileFeatureLayer(@"..\..\AppData\graticules_10.shp");
            shplatlon10.FeatureSource.Projection = proj4;
            //shplatlon10.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.LocalRoad1;
            shplatlon10.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(customDashLineStyle);
            shplatlon10.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay staticOverlay = new LayerOverlay();
            staticOverlay.Layers.Add("WorldLayer", shplatlon10);
            winformsMap1.Overlays.Add(staticOverlay);

            shplatlon10.Open();
            winformsMap1.CurrentExtent = shplatlon10.GetBoundingBox();

            winformsMap1.Refresh();
        }
    }
}
